"
 (C) 2011 by Holger Hans Peter Freyther
 All Rights Reserved

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Affero General Public License as
 published by the Free Software Foundation, either version 3 of the
 License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Affero General Public License for more details.

 You should have received a copy of the GNU Affero General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
"

SIPParam subclass: SIPVia [
    | branch |

    <category: 'OsmoSIP-Param'>

    SIPVia class >> findBranch: aData [
        <category: 'creation'>
        aData do: [:each |
            each second key = 'branch' ifTrue: [
                ^ each second value
            ]].
        ^ nil.
    ]

    SIPVia class >> parseFrom: aParseDict [
        <category: 'creation'>
        ^ self new
            instVarNamed: #data put: aParseDict asFoldedString;
            instVarNamed: #branch put: (self findBranch: (aParseDict at: 8));
            yourself
    ]

    branch [
        ^ branch
    ]
]
